Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026499
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementmajoralways2014-05-08 17:322016-12-16 18:38
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revisionde43b28a3df5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026499: It would be nice to be able to "create G/L Item payments from journal" for organization with several General Ledgers

DescriptionAs it is documented, "This feature currently works for organizations which do have only one General Ledger configuration in a given currency (i.e USD) while creating a G/L Journal in the same currency as financial account currency (i.e USD)." (http://wiki.openbravo.com/wiki/G/L_Journal#G.2FL_Item_payments_creation [^])
Steps To Reproducefollowing error is obtained when trying to process GL Journal for EspaƱa organization:
Error:
Payment could not be created for Journal Line: 10 - No MultiAccounting transactions are allowed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034410 closednonofrancisco Only one GL Item should be set when registering Simple GL Journal defined as "Multi-General Ledger" and "Open items" 

-  Notes
(0091474)
hgbot (developer)
2016-11-14 17:57

Repository: erp/devel/pi
Changeset: de43b28a3df5b858e070caea0389ba04ac83c901
Author: Mark <markmm82 <at> gmail.com>
Date: Sat Nov 12 18:18:08 2016 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/de43b28a3df5b858e070caea0389ba04ac83c901 [^]

Fixes issue 26499: Removed @FIN_NoMultiAccountingAllowed@ restriction for G/L

When the Simple GL Journal window was implemented it included to be able to
"create G/L Item payments from journal" for organization with several General
Ledgers. As this feature is available, only pending point was to remove
@FIN_NoMultiAccountingAllowed@ restriction (FIN_AddPaymentFromJournalLine.java)
when processing a document defined as "Multi-General Ledger", and it is done by
this patch.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPaymentFromJournalLine.java
---
(0091475)
hgbot (developer)
2016-11-14 18:11

Repository: erp/devel/pi
Changeset: fd9a0c5fcb36cfe36c79795c0ac5fec2c15440f7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Nov 14 18:01:08 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fd9a0c5fcb36cfe36c79795c0ac5fec2c15440f7 [^]

Related to issue 26499: Code review improvements

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPaymentFromJournalLine.java
---
(0091476)
aferraz (developer)
2016-11-14 18:12

Code review + Testing OK
(0092617)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092618)
hudsonbot (developer)
2016-12-16 18:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-08 17:32 maite New Issue
2014-05-08 17:32 maite Assigned To => dmiguelez
2014-05-08 17:32 maite Modules => Core
2014-05-08 17:32 maite Triggers an Emergency Pack => No
2014-05-08 17:33 maite Issue Monitored: networkb
2016-05-20 09:11 ngarcia Issue Monitored: ngarcia
2016-11-07 12:33 maite Relationship added related to 0034410
2016-11-08 10:00 aferraz Assigned To dmiguelez => markmm82
2016-11-10 20:29 markmm82 Status new => scheduled
2016-11-14 17:57 hgbot Checkin
2016-11-14 17:57 hgbot Note Added: 0091474
2016-11-14 17:57 hgbot Status scheduled => resolved
2016-11-14 17:57 hgbot Resolution open => fixed
2016-11-14 17:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/de43b28a3df5b858e070caea0389ba04ac83c901 [^]
2016-11-14 18:11 hgbot Checkin
2016-11-14 18:11 hgbot Note Added: 0091475
2016-11-14 18:12 aferraz Review Assigned To => aferraz
2016-11-14 18:12 aferraz Note Added: 0091476
2016-11-14 18:12 aferraz Status resolved => closed
2016-11-14 18:12 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092617
2016-12-16 18:38 hudsonbot Checkin
2016-12-16 18:38 hudsonbot Note Added: 0092618


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker